.machine-main {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 20px;
    flex-wrap: wrap;
}

.machine-info {
    flex: 1;
    min-width: 220px;
}

.brand-text {
    font-size: 0.75rem;
    font-weight: 600;
    text-transform: uppercase;
    color: #98a2b3;
    letter-spacing: 1px;
}

.machine-name {
    font-size: 1.2rem;
    font-weight: 700;
    color: #101828;
    transition: color 0.2s ease;
}

.app-card:hover .machine-name {
    color: #0d6efd;
}

.machine-info {
    flex: 1;
    min-width: 220px;
}

/* Images */
.machine-images {
    display: flex;
    gap: 10px;
}

.machine-img {
    width: 75px;
    height: 75px;
    object-fit: cover;
    border-radius: 14px;
    transition: transform 0.3s ease;
    cursor: pointer;
}

    .machine-img:hover {
        transform: scale(1.5);
    }

.more-overlay {
    width: 25px;
    border-radius: 14px;
    font-weight: 600;
    font-size: 1rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: transform 0.3s ease;
}

    .more-overlay:hover {
        transform: scale(1.5);
        color: black;
    }
.no-image {
    font-size: 0.8rem;
    color: #adb5bd;
}

.machine-description-wrapper {
    margin-top: 14px;
}

.toggle-details-btn {
    background: none;
    border: none;
    color: #0d6efd;
    font-size: 0.8rem;
    font-weight: 600;
    cursor: pointer;
    padding: 0;
}

    .toggle-details-btn:hover {
        text-decoration: underline;
    }
